import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/prathyusha-reddy-arch/fc3672821140b173f59ed6082f42e1ef/raw/b2523ceac2bc9553af3c7d7a3112cbaeb4e6f7cd/Dataset.csv ';

export const useData = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    const row = d => {
      d.YEAR = +d.YEAR;
      d.Week = +d.WEEK;
      d.State = d.REGION; //Need a lut to id related to map
      d.ILI_Percent = +d['%UNWEIGHTED ILI'];
      d.ILI_Total = +d.ILITOTAL;
      d.Providers = +d['NUM OF PROVIDERS'];
      d.Pat_Total = +d['TOTAL PATIENTS'];
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};
